ServiceNotAvaiableException (softwaregateway-client 2.0.0-2.17.0 API)
Date: 2013-11-30

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.softwaregateway.client.exceptions
Class ServiceNotAvaiableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.gcube.vremanagement.softwaregateway.client.exceptions.ServiceNotAvaiableException

All Implemented Interfaces:
  Serializable

    @Unrecoverable
    @WebFault(name="ServiceNotAvaiableFault")
    public class ServiceNotAvaiableException

extends Exception

See Also:
  Serialized Form

Constructor Summary
`ServiceNotAvaiableException()` Creates an instance.
`ServiceNotAvaiableException(String msg)` Creates an instance with given message.
`ServiceNotAvaiableException(String msg, Throwable cause)` Creates an instance with a given message and cause.
`ServiceNotAvaiableException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceNotAvaiableException

    public ServiceNotAvaiableException()

  Creates an instance.

### ServiceNotAvaiableException

    public ServiceNotAvaiableException(String msg)

  Creates an instance with given message.

  Parameters:
    `msg` - the message

### ServiceNotAvaiableException

    public ServiceNotAvaiableException(String msg,
                                       Throwable cause)

  Creates an instance with a given message and cause.

  Parameters:
    `msg` - the message
    `cause` - the cause

### ServiceNotAvaiableException

    public ServiceNotAvaiableException(Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.